Compare commits

..

No commits in common. "master" and "2.2.0-ls263" have entirely different histories.

13 changed files with 382 additions and 561 deletions

View File

@ -8,9 +8,6 @@ on:
pull_request_review: pull_request_review:
types: [submitted,edited,dismissed] types: [submitted,edited,dismissed]
permissions:
contents: read
jobs: jobs:
manage-project: manage-project:
permissions: permissions:

View File

@ -4,9 +4,6 @@ on:
- cron: '34 14 * * *' - cron: '34 14 * * *'
workflow_dispatch: workflow_dispatch:
permissions:
contents: read
jobs: jobs:
stale: stale:
permissions: permissions:

View File

@ -3,9 +3,6 @@ name: External Trigger Main
on: on:
workflow_dispatch: workflow_dispatch:
permissions:
contents: read
jobs: jobs:
external-trigger-master: external-trigger-master:
runs-on: ubuntu-latest runs-on: ubuntu-latest
@ -46,8 +43,8 @@ jobs:
"username": "Github Actions"}' ${{ secrets.DISCORD_WEBHOOK }} "username": "Github Actions"}' ${{ secrets.DISCORD_WEBHOOK }}
exit 1 exit 1
fi fi
EXT_RELEASE_SANITIZED=$(echo ${EXT_RELEASE} | sed 's/[~,%@+;:/]//g') EXT_RELEASE=$(echo ${EXT_RELEASE} | sed 's/[~,%@+;:/]//g')
echo "Sanitized external version: \`${EXT_RELEASE_SANITIZED}\`" >> $GITHUB_STEP_SUMMARY echo "External version: \`${EXT_RELEASE}\`" >> $GITHUB_STEP_SUMMARY
echo "Retrieving last pushed version" >> $GITHUB_STEP_SUMMARY echo "Retrieving last pushed version" >> $GITHUB_STEP_SUMMARY
image="linuxserver/beets" image="linuxserver/beets"
tag="latest" tag="latest"
@ -103,8 +100,8 @@ jobs:
exit 1 exit 1
fi fi
echo "Last pushed version: \`${IMAGE_VERSION}\`" >> $GITHUB_STEP_SUMMARY echo "Last pushed version: \`${IMAGE_VERSION}\`" >> $GITHUB_STEP_SUMMARY
if [ "${EXT_RELEASE_SANITIZED}" == "${IMAGE_VERSION}" ]; then if [ "${EXT_RELEASE}" == "${IMAGE_VERSION}" ]; then
echo "Sanitized version \`${EXT_RELEASE_SANITIZED}\` already pushed, exiting" >> $GITHUB_STEP_SUMMARY echo "Version \`${EXT_RELEASE}\` already pushed, exiting" >> $GITHUB_STEP_SUMMARY
exit 0 exit 0
elif [ $(curl -s https://ci.linuxserver.io/job/Docker-Pipeline-Builders/job/docker-beets/job/master/lastBuild/api/json | jq -r '.building') == "true" ]; then elif [ $(curl -s https://ci.linuxserver.io/job/Docker-Pipeline-Builders/job/docker-beets/job/master/lastBuild/api/json | jq -r '.building') == "true" ]; then
echo "New version \`${EXT_RELEASE}\` found; but there already seems to be an active build on Jenkins; exiting" >> $GITHUB_STEP_SUMMARY echo "New version \`${EXT_RELEASE}\` found; but there already seems to be an active build on Jenkins; exiting" >> $GITHUB_STEP_SUMMARY
@ -119,7 +116,7 @@ jobs:
"username": "Github Actions"}' ${{ secrets.DISCORD_WEBHOOK }} "username": "Github Actions"}' ${{ secrets.DISCORD_WEBHOOK }}
else else
printf "\n## Trigger new build\n\n" >> $GITHUB_STEP_SUMMARY printf "\n## Trigger new build\n\n" >> $GITHUB_STEP_SUMMARY
echo "New sanitized version \`${EXT_RELEASE_SANITIZED}\` found; old version was \`${IMAGE_VERSION}\`. Triggering new build" >> $GITHUB_STEP_SUMMARY echo "New version \`${EXT_RELEASE}\` found; old version was \`${IMAGE_VERSION}\`. Triggering new build" >> $GITHUB_STEP_SUMMARY
if [[ "${artifacts_found}" == "true" ]]; then if [[ "${artifacts_found}" == "true" ]]; then
echo "All artifacts seem to be uploaded." >> $GITHUB_STEP_SUMMARY echo "All artifacts seem to be uploaded." >> $GITHUB_STEP_SUMMARY
fi fi
@ -139,7 +136,7 @@ jobs:
--data-urlencode "description=GHA external trigger https://github.com/${{ github.repository }}/actions/runs/${{ github.run_id }}" \ --data-urlencode "description=GHA external trigger https://github.com/${{ github.repository }}/actions/runs/${{ github.run_id }}" \
--data-urlencode "Submit=Submit" --data-urlencode "Submit=Submit"
echo "**** Notifying Discord ****" echo "**** Notifying Discord ****"
TRIGGER_REASON="A version change was detected for beets tag latest. Old version:${IMAGE_VERSION} New version:${EXT_RELEASE_SANITIZED}" TRIGGER_REASON="A version change was detected for beets tag latest. Old version:${IMAGE_VERSION} New version:${EXT_RELEASE}"
curl -X POST -H "Content-Type: application/json" --data '{"avatar_url": "https://cdn.discordapp.com/avatars/354986384542662657/df91181b3f1cf0ef1592fbe18e0962d7.png","embeds": [{"color": 9802903, curl -X POST -H "Content-Type: application/json" --data '{"avatar_url": "https://cdn.discordapp.com/avatars/354986384542662657/df91181b3f1cf0ef1592fbe18e0962d7.png","embeds": [{"color": 9802903,
"description": "**Build Triggered** \n**Reason:** '"${TRIGGER_REASON}"' \n**Build URL:** '"${buildurl}display/redirect"' \n"}], "description": "**Build Triggered** \n**Reason:** '"${TRIGGER_REASON}"' \n**Build URL:** '"${buildurl}display/redirect"' \n"}],
"username": "Github Actions"}' ${{ secrets.DISCORD_WEBHOOK }} "username": "Github Actions"}' ${{ secrets.DISCORD_WEBHOOK }}

View File

@ -5,9 +5,6 @@ on:
- cron: '52 * * * *' - cron: '52 * * * *'
workflow_dispatch: workflow_dispatch:
permissions:
contents: read
jobs: jobs:
external-trigger-scheduler: external-trigger-scheduler:
runs-on: ubuntu-latest runs-on: ubuntu-latest

View File

@ -2,14 +2,8 @@ name: Greetings
on: [pull_request_target, issues] on: [pull_request_target, issues]
permissions:
contents: read
jobs: jobs:
greeting: greeting:
permissions:
issues: write
pull-requests: write
runs-on: ubuntu-latest runs-on: ubuntu-latest
steps: steps:
- uses: actions/first-interaction@v1 - uses: actions/first-interaction@v1

View File

@ -5,9 +5,6 @@ on:
- cron: '23 18 * * 5' - cron: '23 18 * * 5'
workflow_dispatch: workflow_dispatch:
permissions:
contents: read
jobs: jobs:
package-trigger-scheduler: package-trigger-scheduler:
runs-on: ubuntu-latest runs-on: ubuntu-latest

View File

@ -1,6 +1,6 @@
# syntax=docker/dockerfile:1 # syntax=docker/dockerfile:1
FROM ghcr.io/linuxserver/baseimage-alpine:3.23 FROM ghcr.io/linuxserver/baseimage-alpine:3.21
# set version label # set version label
ARG BUILD_DATE ARG BUILD_DATE
@ -21,7 +21,6 @@ RUN \
git \ git \
gobject-introspection-dev \ gobject-introspection-dev \
jpeg-dev \ jpeg-dev \
libedit-dev \
libpng-dev \ libpng-dev \
mpg123-dev \ mpg123-dev \
openjpeg-dev \ openjpeg-dev \
@ -43,19 +42,21 @@ RUN \
libffi \ libffi \
libpng \ libpng \
mpg123 \ mpg123 \
mp3gain \
nano \ nano \
openjpeg \ openjpeg \
python3 \ python3 \
sqlite-libs && \ sqlite-libs && \
echo "**** install beets ****" && \ echo "**** compile mp3gain ****" && \
echo "**** install pip packages ****" && \ mkdir -p \
if [ -z ${BEETS_VERSION+x} ]; then \ /tmp/mp3gain-src && \
BEETS_VERSION=$(curl -sL https://pypi.python.org/pypi/beets/json |jq -r '. | .info.version'); \ curl -o \
fi && \ /tmp/mp3gain-src/mp3gain.zip -sL \
git clone https://github.com/beetbox/beets.git /tmp/beets && \ https://sourceforge.net/projects/mp3gain/files/mp3gain/1.6.2/mp3gain-1_6_2-src.zip && \
cd /tmp/beets && \ cd /tmp/mp3gain-src && \
git checkout -f "v${BEETS_VERSION}" && \ unzip -qq /tmp/mp3gain-src/mp3gain.zip && \
sed -i "s#/usr/local/bin#/usr/bin#g" /tmp/mp3gain-src/Makefile && \
make && \
make install && \
echo "**** compile mp3val ****" && \ echo "**** compile mp3val ****" && \
mkdir -p \ mkdir -p \
/tmp/mp3val-src && \ /tmp/mp3val-src && \
@ -67,21 +68,20 @@ RUN \
make -f Makefile.linux && \ make -f Makefile.linux && \
cp -p mp3val /usr/bin && \ cp -p mp3val /usr/bin && \
echo "**** install pip packages ****" && \ echo "**** install pip packages ****" && \
if [ -z ${BEETS_VERSION+x} ]; then \
BEETS_VERSION=$(curl -sL https://pypi.python.org/pypi/beets/json |jq -r '. | .info.version'); \
fi && \
python3 -m venv /lsiopy && \ python3 -m venv /lsiopy && \
pip install -U --no-cache-dir \ pip install -U --no-cache-dir \
pip \ pip \
setuptools && \ wheel && \
echo "**** install beets ****" && \ pip install -U --no-cache-dir --find-links https://wheel-index.linuxserver.io/alpine-3.21/ \
cd /tmp/beets && \
pip install -U --no-cache-dir --find-links https://wheel-index.linuxserver.io/alpine-3.23/ . && \
echo "**** install pip packages ****" && \
pip install -U --no-cache-dir --find-links https://wheel-index.linuxserver.io/alpine-3.23/ \
beautifulsoup4 \ beautifulsoup4 \
beets==${BEETS_VERSION} \
beets-extrafiles \ beets-extrafiles \
beetcamp \ beetcamp \
python3-discogs-client \ python3-discogs-client \
flask \ flask \
flask-cors \
PyGObject \ PyGObject \
pyacoustid \ pyacoustid \
pylast \ pylast \

View File

@ -1,6 +1,6 @@
# syntax=docker/dockerfile:1 # syntax=docker/dockerfile:1
FROM ghcr.io/linuxserver/baseimage-alpine:arm64v8-3.23 FROM ghcr.io/linuxserver/baseimage-alpine:arm64v8-3.21
# set version label # set version label
ARG BUILD_DATE ARG BUILD_DATE
@ -21,7 +21,6 @@ RUN \
git \ git \
gobject-introspection-dev \ gobject-introspection-dev \
jpeg-dev \ jpeg-dev \
libedit-dev \
libpng-dev \ libpng-dev \
mpg123-dev \ mpg123-dev \
openjpeg-dev \ openjpeg-dev \
@ -31,6 +30,7 @@ RUN \
chromaprint \ chromaprint \
expat \ expat \
ffmpeg \ ffmpeg \
ffmpeg-libs \
fftw \ fftw \
flac \ flac \
gdbm \ gdbm \
@ -42,19 +42,22 @@ RUN \
lame \ lame \
libffi \ libffi \
libpng \ libpng \
mp3gain \
mpg123 \ mpg123 \
nano \ nano \
openjpeg \ openjpeg \
python3 \ python3 \
sqlite-libs && \ sqlite-libs && \
echo "**** install beets ****" && \ echo "**** compile mp3gain ****" && \
if [ -z ${BEETS_VERSION+x} ]; then \ mkdir -p \
BEETS_VERSION=$(curl -sL https://pypi.python.org/pypi/beets/json |jq -r '. | .info.version'); \ /tmp/mp3gain-src && \
fi && \ curl -o \
git clone https://github.com/beetbox/beets.git /tmp/beets && \ /tmp/mp3gain-src/mp3gain.zip -sL \
cd /tmp/beets && \ https://sourceforge.net/projects/mp3gain/files/mp3gain/1.6.2/mp3gain-1_6_2-src.zip && \
git checkout -f "v${BEETS_VERSION}" && \ cd /tmp/mp3gain-src && \
unzip -qq /tmp/mp3gain-src/mp3gain.zip && \
sed -i "s#/usr/local/bin#/usr/bin#g" /tmp/mp3gain-src/Makefile && \
make && \
make install && \
echo "**** compile mp3val ****" && \ echo "**** compile mp3val ****" && \
mkdir -p \ mkdir -p \
/tmp/mp3val-src && \ /tmp/mp3val-src && \
@ -66,21 +69,20 @@ RUN \
make -f Makefile.linux && \ make -f Makefile.linux && \
cp -p mp3val /usr/bin && \ cp -p mp3val /usr/bin && \
echo "**** install pip packages ****" && \ echo "**** install pip packages ****" && \
if [ -z ${BEETS_VERSION+x} ]; then \
BEETS_VERSION=$(curl -sL https://pypi.python.org/pypi/beets/json |jq -r '. | .info.version'); \
fi && \
python3 -m venv /lsiopy && \ python3 -m venv /lsiopy && \
pip install -U --no-cache-dir \ pip install -U --no-cache-dir \
pip \ pip \
setuptools && \ wheel && \
echo "**** install beets ****" && \ pip install -U --no-cache-dir --find-links https://wheel-index.linuxserver.io/alpine-3.21/ \
cd /tmp/beets && \
pip install -U --no-cache-dir --find-links https://wheel-index.linuxserver.io/alpine-3.23/ . && \
echo "**** install pip packages ****" && \
pip install -U --no-cache-dir --find-links https://wheel-index.linuxserver.io/alpine-3.23/ \
beautifulsoup4 \ beautifulsoup4 \
beets==${BEETS_VERSION} \
beets-extrafiles \ beets-extrafiles \
beetcamp \ beetcamp \
python3-discogs-client \ python3-discogs-client \
flask \ flask \
flask-cors \
PyGObject \ PyGObject \
pyacoustid \ pyacoustid \
pylast \ pylast \

117
Jenkinsfile vendored
View File

@ -95,11 +95,7 @@ pipeline {
env.DOCKERHUB_LINK = 'https://hub.docker.com/r/' + env.DOCKERHUB_IMAGE + '/tags/' env.DOCKERHUB_LINK = 'https://hub.docker.com/r/' + env.DOCKERHUB_IMAGE + '/tags/'
env.PULL_REQUEST = env.CHANGE_ID env.PULL_REQUEST = env.CHANGE_ID
env.TEMPLATED_FILES = 'Jenkinsfile README.md LICENSE .editorconfig ./.github/CONTRIBUTING.md ./.github/FUNDING.yml ./.github/ISSUE_TEMPLATE/config.yml ./.github/ISSUE_TEMPLATE/issue.bug.yml ./.github/ISSUE_TEMPLATE/issue.feature.yml ./.github/PULL_REQUEST_TEMPLATE.md ./.github/workflows/external_trigger_scheduler.yml ./.github/workflows/greetings.yml ./.github/workflows/package_trigger_scheduler.yml ./.github/workflows/call_issue_pr_tracker.yml ./.github/workflows/call_issues_cron.yml ./.github/workflows/permissions.yml ./.github/workflows/external_trigger.yml' env.TEMPLATED_FILES = 'Jenkinsfile README.md LICENSE .editorconfig ./.github/CONTRIBUTING.md ./.github/FUNDING.yml ./.github/ISSUE_TEMPLATE/config.yml ./.github/ISSUE_TEMPLATE/issue.bug.yml ./.github/ISSUE_TEMPLATE/issue.feature.yml ./.github/PULL_REQUEST_TEMPLATE.md ./.github/workflows/external_trigger_scheduler.yml ./.github/workflows/greetings.yml ./.github/workflows/package_trigger_scheduler.yml ./.github/workflows/call_issue_pr_tracker.yml ./.github/workflows/call_issues_cron.yml ./.github/workflows/permissions.yml ./.github/workflows/external_trigger.yml'
if ( env.SYFT_IMAGE_TAG == null ) {
env.SYFT_IMAGE_TAG = 'latest'
}
} }
echo "Using syft image tag ${SYFT_IMAGE_TAG}"
sh '''#! /bin/bash sh '''#! /bin/bash
echo "The default github branch detected as ${GH_DEFAULT_BRANCH}" ''' echo "The default github branch detected as ${GH_DEFAULT_BRANCH}" '''
script{ script{
@ -208,7 +204,6 @@ pipeline {
env.META_TAG = env.EXT_RELEASE_CLEAN + '-ls' + env.LS_TAG_NUMBER env.META_TAG = env.EXT_RELEASE_CLEAN + '-ls' + env.LS_TAG_NUMBER
env.EXT_RELEASE_TAG = 'version-' + env.EXT_RELEASE_CLEAN env.EXT_RELEASE_TAG = 'version-' + env.EXT_RELEASE_CLEAN
env.BUILDCACHE = 'docker.io/lsiodev/buildcache,registry.gitlab.com/linuxserver.io/docker-jenkins-builder/lsiodev-buildcache,ghcr.io/linuxserver/lsiodev-buildcache,quay.io/linuxserver.io/lsiodev-buildcache' env.BUILDCACHE = 'docker.io/lsiodev/buildcache,registry.gitlab.com/linuxserver.io/docker-jenkins-builder/lsiodev-buildcache,ghcr.io/linuxserver/lsiodev-buildcache,quay.io/linuxserver.io/lsiodev-buildcache'
env.CITEST_IMAGETAG = 'latest'
} }
} }
} }
@ -234,7 +229,6 @@ pipeline {
env.EXT_RELEASE_TAG = 'version-' + env.EXT_RELEASE_CLEAN env.EXT_RELEASE_TAG = 'version-' + env.EXT_RELEASE_CLEAN
env.DOCKERHUB_LINK = 'https://hub.docker.com/r/' + env.DEV_DOCKERHUB_IMAGE + '/tags/' env.DOCKERHUB_LINK = 'https://hub.docker.com/r/' + env.DEV_DOCKERHUB_IMAGE + '/tags/'
env.BUILDCACHE = 'docker.io/lsiodev/buildcache,registry.gitlab.com/linuxserver.io/docker-jenkins-builder/lsiodev-buildcache,ghcr.io/linuxserver/lsiodev-buildcache,quay.io/linuxserver.io/lsiodev-buildcache' env.BUILDCACHE = 'docker.io/lsiodev/buildcache,registry.gitlab.com/linuxserver.io/docker-jenkins-builder/lsiodev-buildcache,ghcr.io/linuxserver/lsiodev-buildcache,quay.io/linuxserver.io/lsiodev-buildcache'
env.CITEST_IMAGETAG = 'develop'
} }
} }
} }
@ -260,7 +254,6 @@ pipeline {
env.CODE_URL = 'https://github.com/' + env.LS_USER + '/' + env.LS_REPO + '/pull/' + env.PULL_REQUEST env.CODE_URL = 'https://github.com/' + env.LS_USER + '/' + env.LS_REPO + '/pull/' + env.PULL_REQUEST
env.DOCKERHUB_LINK = 'https://hub.docker.com/r/' + env.PR_DOCKERHUB_IMAGE + '/tags/' env.DOCKERHUB_LINK = 'https://hub.docker.com/r/' + env.PR_DOCKERHUB_IMAGE + '/tags/'
env.BUILDCACHE = 'docker.io/lsiodev/buildcache,registry.gitlab.com/linuxserver.io/docker-jenkins-builder/lsiodev-buildcache,ghcr.io/linuxserver/lsiodev-buildcache,quay.io/linuxserver.io/lsiodev-buildcache' env.BUILDCACHE = 'docker.io/lsiodev/buildcache,registry.gitlab.com/linuxserver.io/docker-jenkins-builder/lsiodev-buildcache,ghcr.io/linuxserver/lsiodev-buildcache,quay.io/linuxserver.io/lsiodev-buildcache'
env.CITEST_IMAGETAG = 'develop'
} }
} }
} }
@ -283,7 +276,7 @@ pipeline {
-v ${WORKSPACE}:/mnt \ -v ${WORKSPACE}:/mnt \
-e AWS_ACCESS_KEY_ID=\"${S3_KEY}\" \ -e AWS_ACCESS_KEY_ID=\"${S3_KEY}\" \
-e AWS_SECRET_ACCESS_KEY=\"${S3_SECRET}\" \ -e AWS_SECRET_ACCESS_KEY=\"${S3_SECRET}\" \
ghcr.io/linuxserver/baseimage-alpine:3.23 s6-envdir -fn -- /var/run/s6/container_environment /bin/bash -c "\ ghcr.io/linuxserver/baseimage-alpine:3.20 s6-envdir -fn -- /var/run/s6/container_environment /bin/bash -c "\
apk add --no-cache python3 && \ apk add --no-cache python3 && \
python3 -m venv /lsiopy && \ python3 -m venv /lsiopy && \
pip install --no-cache-dir -U pip && \ pip install --no-cache-dir -U pip && \
@ -618,16 +611,13 @@ pipeline {
echo $GITHUB_TOKEN | docker login ghcr.io -u LinuxServer-CI --password-stdin echo $GITHUB_TOKEN | docker login ghcr.io -u LinuxServer-CI --password-stdin
echo $GITLAB_TOKEN | docker login registry.gitlab.com -u LinuxServer.io --password-stdin echo $GITLAB_TOKEN | docker login registry.gitlab.com -u LinuxServer.io --password-stdin
echo $QUAYPASS | docker login quay.io -u $QUAYUSER --password-stdin echo $QUAYPASS | docker login quay.io -u $QUAYUSER --password-stdin
if [[ "${PACKAGE_CHECK}" != "true" ]]; then if [[ "${PACKAGE_CHECK}" != "true" ]]; then
declare -A pids
IFS=',' read -ra CACHE <<< "$BUILDCACHE" IFS=',' read -ra CACHE <<< "$BUILDCACHE"
for i in "${CACHE[@]}"; do for i in "${CACHE[@]}"; do
docker push ${i}:amd64-${COMMIT_SHA}-${BUILD_NUMBER} & docker push ${i}:amd64-${COMMIT_SHA}-${BUILD_NUMBER} &
pids[$!]="$i"
done done
for p in "${!pids[@]}"; do for p in $(jobs -p); do
wait "$p" || { [[ "${pids[$p]}" != *"quay.io"* ]] && exit 1; } wait "$p" || { echo "job $p failed" >&2; exit 1; }
done done
fi fi
''' '''
@ -687,16 +677,13 @@ pipeline {
echo $GITHUB_TOKEN | docker login ghcr.io -u LinuxServer-CI --password-stdin echo $GITHUB_TOKEN | docker login ghcr.io -u LinuxServer-CI --password-stdin
echo $GITLAB_TOKEN | docker login registry.gitlab.com -u LinuxServer.io --password-stdin echo $GITLAB_TOKEN | docker login registry.gitlab.com -u LinuxServer.io --password-stdin
echo $QUAYPASS | docker login quay.io -u $QUAYUSER --password-stdin echo $QUAYPASS | docker login quay.io -u $QUAYUSER --password-stdin
if [[ "${PACKAGE_CHECK}" != "true" ]]; then if [[ "${PACKAGE_CHECK}" != "true" ]]; then
declare -A pids
IFS=',' read -ra CACHE <<< "$BUILDCACHE" IFS=',' read -ra CACHE <<< "$BUILDCACHE"
for i in "${CACHE[@]}"; do for i in "${CACHE[@]}"; do
docker push ${i}:amd64-${COMMIT_SHA}-${BUILD_NUMBER} & docker push ${i}:amd64-${COMMIT_SHA}-${BUILD_NUMBER} &
pids[$!]="$i"
done done
for p in "${!pids[@]}"; do for p in $(jobs -p); do
wait "$p" || { [[ "${pids[$p]}" != *"quay.io"* ]] && exit 1; } wait "$p" || { echo "job $p failed" >&2; exit 1; }
done done
fi fi
''' '''
@ -750,14 +737,12 @@ pipeline {
echo $GITLAB_TOKEN | docker login registry.gitlab.com -u LinuxServer.io --password-stdin echo $GITLAB_TOKEN | docker login registry.gitlab.com -u LinuxServer.io --password-stdin
echo $QUAYPASS | docker login quay.io -u $QUAYUSER --password-stdin echo $QUAYPASS | docker login quay.io -u $QUAYUSER --password-stdin
if [[ "${PACKAGE_CHECK}" != "true" ]]; then if [[ "${PACKAGE_CHECK}" != "true" ]]; then
declare -A pids
IFS=',' read -ra CACHE <<< "$BUILDCACHE" IFS=',' read -ra CACHE <<< "$BUILDCACHE"
for i in "${CACHE[@]}"; do for i in "${CACHE[@]}"; do
docker push ${i}:arm64v8-${COMMIT_SHA}-${BUILD_NUMBER} & docker push ${i}:arm64v8-${COMMIT_SHA}-${BUILD_NUMBER} &
pids[$!]="$i"
done done
for p in "${!pids[@]}"; do for p in $(jobs -p); do
wait "$p" || { [[ "${pids[$p]}" != *"quay.io"* ]] && exit 1; } wait "$p" || { echo "job $p failed" >&2; exit 1; }
done done
fi fi
''' '''
@ -795,7 +780,7 @@ pipeline {
docker run --rm \ docker run --rm \
-v /var/run/docker.sock:/var/run/docker.sock:ro \ -v /var/run/docker.sock:/var/run/docker.sock:ro \
-v ${TEMPDIR}:/tmp \ -v ${TEMPDIR}:/tmp \
ghcr.io/anchore/syft:${SYFT_IMAGE_TAG} \ ghcr.io/anchore/syft:latest \
${LOCAL_CONTAINER} -o table=/tmp/package_versions.txt ${LOCAL_CONTAINER} -o table=/tmp/package_versions.txt
NEW_PACKAGE_TAG=$(md5sum ${TEMPDIR}/package_versions.txt | cut -c1-8 ) NEW_PACKAGE_TAG=$(md5sum ${TEMPDIR}/package_versions.txt | cut -c1-8 )
echo "Package tag sha from current packages in buit container is ${NEW_PACKAGE_TAG} comparing to old ${PACKAGE_TAG} from github" echo "Package tag sha from current packages in buit container is ${NEW_PACKAGE_TAG} comparing to old ${PACKAGE_TAG} from github"
@ -882,7 +867,7 @@ pipeline {
CI_DOCKERENV="LSIO_FIRST_PARTY=true" CI_DOCKERENV="LSIO_FIRST_PARTY=true"
fi fi
fi fi
docker pull ghcr.io/linuxserver/ci:${CITEST_IMAGETAG} docker pull ghcr.io/linuxserver/ci:latest
if [ "${MULTIARCH}" == "true" ]; then if [ "${MULTIARCH}" == "true" ]; then
docker pull ghcr.io/linuxserver/lsiodev-buildcache:arm64v8-${COMMIT_SHA}-${BUILD_NUMBER} --platform=arm64 docker pull ghcr.io/linuxserver/lsiodev-buildcache:arm64v8-${COMMIT_SHA}-${BUILD_NUMBER} --platform=arm64
docker tag ghcr.io/linuxserver/lsiodev-buildcache:arm64v8-${COMMIT_SHA}-${BUILD_NUMBER} ${IMAGE}:arm64v8-${META_TAG} docker tag ghcr.io/linuxserver/lsiodev-buildcache:arm64v8-${COMMIT_SHA}-${BUILD_NUMBER} ${IMAGE}:arm64v8-${META_TAG}
@ -905,10 +890,7 @@ pipeline {
-e WEB_AUTH=\"${CI_AUTH}\" \ -e WEB_AUTH=\"${CI_AUTH}\" \
-e WEB_PATH=\"${CI_WEBPATH}\" \ -e WEB_PATH=\"${CI_WEBPATH}\" \
-e NODE_NAME=\"${NODE_NAME}\" \ -e NODE_NAME=\"${NODE_NAME}\" \
-e SYFT_IMAGE_TAG=\"${CI_SYFT_IMAGE_TAG:-${SYFT_IMAGE_TAG}}\" \ -t ghcr.io/linuxserver/ci:latest \
-e COMMIT_SHA=\"${COMMIT_SHA}\" \
-e BUILD_NUMBER=\"${BUILD_NUMBER}\" \
-t ghcr.io/linuxserver/ci:${CITEST_IMAGETAG} \
python3 test_build.py''' python3 test_build.py'''
} }
} }
@ -934,11 +916,9 @@ pipeline {
CACHEIMAGE=${i} CACHEIMAGE=${i}
fi fi
done done
docker buildx imagetools create --prefer-index=false -t ${PUSHIMAGE}:${META_TAG} -t ${PUSHIMAGE}:latest -t ${PUSHIMAGE}:${EXT_RELEASE_TAG} ${CACHEIMAGE}:amd64-${COMMIT_SHA}-${BUILD_NUMBER} || \ docker buildx imagetools create --prefer-index=false -t ${PUSHIMAGE}:${META_TAG} -t ${PUSHIMAGE}:latest -t ${PUSHIMAGE}:${EXT_RELEASE_TAG} ${CACHEIMAGE}:amd64-${COMMIT_SHA}-${BUILD_NUMBER}
{ if [[ "${PUSHIMAGE}" != "${QUAYIMAGE}" ]]; then exit 1; fi; }
if [ -n "${SEMVER}" ]; then if [ -n "${SEMVER}" ]; then
docker buildx imagetools create --prefer-index=false -t ${PUSHIMAGE}:${SEMVER} ${CACHEIMAGE}:amd64-${COMMIT_SHA}-${BUILD_NUMBER} || \ docker buildx imagetools create --prefer-index=false -t ${PUSHIMAGE}:${SEMVER} ${CACHEIMAGE}:amd64-${COMMIT_SHA}-${BUILD_NUMBER}
{ if [[ "${PUSHIMAGE}" != "${QUAYIMAGE}" ]]; then exit 1; fi; }
fi fi
done done
''' '''
@ -963,27 +943,20 @@ pipeline {
CACHEIMAGE=${i} CACHEIMAGE=${i}
fi fi
done done
docker buildx imagetools create --prefer-index=false -t ${MANIFESTIMAGE}:amd64-${META_TAG} -t ${MANIFESTIMAGE}:amd64-latest -t ${MANIFESTIMAGE}:amd64-${EXT_RELEASE_TAG} ${CACHEIMAGE}:amd64-${COMMIT_SHA}-${BUILD_NUMBER} || \ docker buildx imagetools create --prefer-index=false -t ${MANIFESTIMAGE}:amd64-${META_TAG} -t ${MANIFESTIMAGE}:amd64-latest -t ${MANIFESTIMAGE}:amd64-${EXT_RELEASE_TAG} ${CACHEIMAGE}:amd64-${COMMIT_SHA}-${BUILD_NUMBER}
{ if [[ "${MANIFESTIMAGE}" != "${QUAYIMAGE}" ]]; then exit 1; fi; } docker buildx imagetools create --prefer-index=false -t ${MANIFESTIMAGE}:arm64v8-${META_TAG} -t ${MANIFESTIMAGE}:arm64v8-latest -t ${MANIFESTIMAGE}:arm64v8-${EXT_RELEASE_TAG} ${CACHEIMAGE}:arm64v8-${COMMIT_SHA}-${BUILD_NUMBER}
docker buildx imagetools create --prefer-index=false -t ${MANIFESTIMAGE}:arm64v8-${META_TAG} -t ${MANIFESTIMAGE}:arm64v8-latest -t ${MANIFESTIMAGE}:arm64v8-${EXT_RELEASE_TAG} ${CACHEIMAGE}:arm64v8-${COMMIT_SHA}-${BUILD_NUMBER} || \
{ if [[ "${MANIFESTIMAGE}" != "${QUAYIMAGE}" ]]; then exit 1; fi; }
if [ -n "${SEMVER}" ]; then if [ -n "${SEMVER}" ]; then
docker buildx imagetools create --prefer-index=false -t ${MANIFESTIMAGE}:amd64-${SEMVER} ${CACHEIMAGE}:amd64-${COMMIT_SHA}-${BUILD_NUMBER} || \ docker buildx imagetools create --prefer-index=false -t ${MANIFESTIMAGE}:amd64-${SEMVER} ${CACHEIMAGE}:amd64-${COMMIT_SHA}-${BUILD_NUMBER}
{ if [[ "${MANIFESTIMAGE}" != "${QUAYIMAGE}" ]]; then exit 1; fi; } docker buildx imagetools create --prefer-index=false -t ${MANIFESTIMAGE}:arm64v8-${SEMVER} ${CACHEIMAGE}:arm64v8-${COMMIT_SHA}-${BUILD_NUMBER}
docker buildx imagetools create --prefer-index=false -t ${MANIFESTIMAGE}:arm64v8-${SEMVER} ${CACHEIMAGE}:arm64v8-${COMMIT_SHA}-${BUILD_NUMBER} || \
{ if [[ "${MANIFESTIMAGE}" != "${QUAYIMAGE}" ]]; then exit 1; fi; }
fi fi
done done
for MANIFESTIMAGE in "${IMAGE}" "${GITLABIMAGE}" "${GITHUBIMAGE}" "${QUAYIMAGE}"; do for MANIFESTIMAGE in "${IMAGE}" "${GITLABIMAGE}" "${GITHUBIMAGE}" "${QUAYIMAGE}"; do
docker buildx imagetools create -t ${MANIFESTIMAGE}:latest ${MANIFESTIMAGE}:amd64-latest ${MANIFESTIMAGE}:arm64v8-latest || \ docker buildx imagetools create -t ${MANIFESTIMAGE}:latest ${MANIFESTIMAGE}:amd64-latest ${MANIFESTIMAGE}:arm64v8-latest
{ if [[ "${MANIFESTIMAGE}" != "${QUAYIMAGE}" ]]; then exit 1; fi; } docker buildx imagetools create -t ${MANIFESTIMAGE}:${META_TAG} ${MANIFESTIMAGE}:amd64-${META_TAG} ${MANIFESTIMAGE}:arm64v8-${META_TAG}
docker buildx imagetools create -t ${MANIFESTIMAGE}:${META_TAG} ${MANIFESTIMAGE}:amd64-${META_TAG} ${MANIFESTIMAGE}:arm64v8-${META_TAG} || \
{ if [[ "${MANIFESTIMAGE}" != "${QUAYIMAGE}" ]]; then exit 1; fi; } docker buildx imagetools create -t ${MANIFESTIMAGE}:${EXT_RELEASE_TAG} ${MANIFESTIMAGE}:amd64-${EXT_RELEASE_TAG} ${MANIFESTIMAGE}:arm64v8-${EXT_RELEASE_TAG}
docker buildx imagetools create -t ${MANIFESTIMAGE}:${EXT_RELEASE_TAG} ${MANIFESTIMAGE}:amd64-${EXT_RELEASE_TAG} ${MANIFESTIMAGE}:arm64v8-${EXT_RELEASE_TAG} || \
{ if [[ "${MANIFESTIMAGE}" != "${QUAYIMAGE}" ]]; then exit 1; fi; }
if [ -n "${SEMVER}" ]; then if [ -n "${SEMVER}" ]; then
docker buildx imagetools create -t ${MANIFESTIMAGE}:${SEMVER} ${MANIFESTIMAGE}:amd64-${SEMVER} ${MANIFESTIMAGE}:arm64v8-${SEMVER} || \ docker buildx imagetools create -t ${MANIFESTIMAGE}:${SEMVER} ${MANIFESTIMAGE}:amd64-${SEMVER} ${MANIFESTIMAGE}:arm64v8-${SEMVER}
{ if [[ "${MANIFESTIMAGE}" != "${QUAYIMAGE}" ]]; then exit 1; fi; }
fi fi
done done
''' '''
@ -1001,41 +974,23 @@ pipeline {
environment name: 'EXIT_STATUS', value: '' environment name: 'EXIT_STATUS', value: ''
} }
steps { steps {
echo "Pushing New tag for current commit ${META_TAG}"
sh '''curl -H "Authorization: token ${GITHUB_TOKEN}" -X POST https://api.github.com/repos/${LS_USER}/${LS_REPO}/git/tags \
-d '{"tag":"'${META_TAG}'",\
"object": "'${COMMIT_SHA}'",\
"message": "Tagging Release '${EXT_RELEASE_CLEAN}'-ls'${LS_TAG_NUMBER}' to master",\
"type": "commit",\
"tagger": {"name": "LinuxServer-CI","email": "ci@linuxserver.io","date": "'${GITHUB_DATE}'"}}' '''
echo "Pushing New release for Tag"
sh '''#! /bin/bash sh '''#! /bin/bash
echo "Auto-generating release notes"
if [ "$(git tag --points-at HEAD)" != "" ]; then
echo "Existing tag points to current commit, suggesting no new LS changes"
AUTO_RELEASE_NOTES="No changes"
else
AUTO_RELEASE_NOTES=$(curl -fsL -H "Authorization: token ${GITHUB_TOKEN}" -H "Accept: application/vnd.github+json" -X POST https://api.github.com/repos/${LS_USER}/${LS_REPO}/releases/generate-notes \
-d '{"tag_name":"'${META_TAG}'",\
"target_commitish": "master"}' \
| jq -r '.body' | sed 's|## What.s Changed||')
fi
echo "Pushing New tag for current commit ${META_TAG}"
curl -H "Authorization: token ${GITHUB_TOKEN}" -X POST https://api.github.com/repos/${LS_USER}/${LS_REPO}/git/tags \
-d '{"tag":"'${META_TAG}'",\
"object": "'${COMMIT_SHA}'",\
"message": "Tagging Release '${EXT_RELEASE_CLEAN}'-ls'${LS_TAG_NUMBER}' to master",\
"type": "commit",\
"tagger": {"name": "LinuxServer-CI","email": "ci@linuxserver.io","date": "'${GITHUB_DATE}'"}}'
echo "Pushing New release for Tag"
echo "Updating PIP version of ${EXT_PIP} to ${EXT_RELEASE_CLEAN}" > releasebody.json echo "Updating PIP version of ${EXT_PIP} to ${EXT_RELEASE_CLEAN}" > releasebody.json
jq -n \ echo '{"tag_name":"'${META_TAG}'",\
--arg tag_name "$META_TAG" \ "target_commitish": "master",\
--arg target_commitish "master" \ "name": "'${META_TAG}'",\
--arg ci_url "${CI_URL:-N/A}" \ "body": "**CI Report:**\\n\\n'${CI_URL:-N/A}'\\n\\n**LinuxServer Changes:**\\n\\n'${LS_RELEASE_NOTES}'\\n\\n**Remote Changes:**\\n\\n' > start
--arg ls_notes "$AUTO_RELEASE_NOTES" \ printf '","draft": false,"prerelease": false}' >> releasebody.json
--arg remote_notes "$(cat releasebody.json)" \ paste -d'\\0' start releasebody.json > releasebody.json.done
'{ curl -H "Authorization: token ${GITHUB_TOKEN}" -X POST https://api.github.com/repos/${LS_USER}/${LS_REPO}/releases -d @releasebody.json.done'''
"tag_name": $tag_name,
"target_commitish": $target_commitish,
"name": $tag_name,
"body": ("**CI Report:**\\n\\n" + $ci_url + "\\n\\n**LinuxServer Changes:**\\n\\n" + $ls_notes + "\\n\\n**Remote Changes:**\\n\\n" + $remote_notes),
"draft": false,
"prerelease": false }' > releasebody.json.done
curl -H "Authorization: token ${GITHUB_TOKEN}" -X POST https://api.github.com/repos/${LS_USER}/${LS_REPO}/releases -d @releasebody.json.done
'''
} }
} }
// Add protection to the release branch // Add protection to the release branch

View File

@ -5,6 +5,7 @@
[![Blog](https://img.shields.io/static/v1.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=linuxserver.io&message=Blog)](https://blog.linuxserver.io "all the things you can do with our containers including How-To guides, opinions and much more!") [![Blog](https://img.shields.io/static/v1.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=linuxserver.io&message=Blog)](https://blog.linuxserver.io "all the things you can do with our containers including How-To guides, opinions and much more!")
[![Discord](https://img.shields.io/discord/354974912613449730.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=Discord&logo=discord)](https://linuxserver.io/discord "realtime support / chat with the community and the team.") [![Discord](https://img.shields.io/discord/354974912613449730.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=Discord&logo=discord)](https://linuxserver.io/discord "realtime support / chat with the community and the team.")
[![Discourse](https://img.shields.io/discourse/https/discourse.linuxserver.io/topics.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&logo=discourse)](https://discourse.linuxserver.io "post on our community forum.") [![Discourse](https://img.shields.io/discourse/https/discourse.linuxserver.io/topics.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&logo=discourse)](https://discourse.linuxserver.io "post on our community forum.")
[![Fleet](https://img.shields.io/static/v1.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=linuxserver.io&message=Fleet)](https://fleet.linuxserver.io "an online web interface which displays all of our maintained images.")
[![GitHub](https://img.shields.io/static/v1.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=linuxserver.io&message=GitHub&logo=github)](https://github.com/linuxserver "view the source for all of our repositories.") [![GitHub](https://img.shields.io/static/v1.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=linuxserver.io&message=GitHub&logo=github)](https://github.com/linuxserver "view the source for all of our repositories.")
[![Open Collective](https://img.shields.io/opencollective/all/linuxserver.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=Supporters&logo=open%20collective)](https://opencollective.com/linuxserver "please consider helping us by either donating or contributing to our budget") [![Open Collective](https://img.shields.io/opencollective/all/linuxserver.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=Supporters&logo=open%20collective)](https://opencollective.com/linuxserver "please consider helping us by either donating or contributing to our budget")
@ -21,6 +22,7 @@ Find us at:
* [Blog](https://blog.linuxserver.io) - all the things you can do with our containers including How-To guides, opinions and much more! * [Blog](https://blog.linuxserver.io) - all the things you can do with our containers including How-To guides, opinions and much more!
* [Discord](https://linuxserver.io/discord) - realtime support / chat with the community and the team. * [Discord](https://linuxserver.io/discord) - realtime support / chat with the community and the team.
* [Discourse](https://discourse.linuxserver.io) - post on our community forum. * [Discourse](https://discourse.linuxserver.io) - post on our community forum.
* [Fleet](https://fleet.linuxserver.io) - an online web interface which displays all of our maintained images.
* [GitHub](https://github.com/linuxserver) - view the source for all of our repositories. * [GitHub](https://github.com/linuxserver) - view the source for all of our repositories.
* [Open Collective](https://opencollective.com/linuxserver) - please consider helping us by either donating or contributing to our budget * [Open Collective](https://opencollective.com/linuxserver) - please consider helping us by either donating or contributing to our budget
@ -53,6 +55,7 @@ The architectures supported by this image are:
| :----: | :----: | ---- | | :----: | :----: | ---- |
| x86-64 | ✅ | amd64-\<version tag\> | | x86-64 | ✅ | amd64-\<version tag\> |
| arm64 | ✅ | arm64v8-\<version tag\> | | arm64 | ✅ | arm64v8-\<version tag\> |
| armhf | ❌ | |
## Version Tags ## Version Tags
@ -88,7 +91,7 @@ This image can be run with a non-root user. For details please [read the docs](h
To help you get started creating a container from this image you can either use docker-compose or the docker cli. To help you get started creating a container from this image you can either use docker-compose or the docker cli.
>[!NOTE] >[!NOTE]
>Unless a parameter is flagged as 'optional', it is *mandatory* and a value must be provided. >Unless a parameter is flaged as 'optional', it is *mandatory* and a value must be provided.
### docker-compose (recommended, [click here for more info](https://docs.linuxserver.io/general/docker-compose)) ### docker-compose (recommended, [click here for more info](https://docs.linuxserver.io/general/docker-compose))
@ -305,7 +308,6 @@ Once registered you can define the dockerfile to use with `-f Dockerfile.aarch64
## Versions ## Versions
* **01.02.26:** - Rebase to Alpine 3.23.
* **27.01.25:** - Rebase to Alpine 3.21. * **27.01.25:** - Rebase to Alpine 3.21.
* **01.10.24:** - Add packages required for Discogs plugin. * **01.10.24:** - Add packages required for Discogs plugin.
* **28.08.24:** - Rebase to Alpine 3.20, switch from Pillow to Imagemagick. * **28.08.24:** - Rebase to Alpine 3.20, switch from Pillow to Imagemagick.

View File

@ -1,407 +1,294 @@
NAME VERSION TYPE NAME VERSION TYPE
Simple Launcher 1.1.0.14 binary (+5 duplicates) Simple Launcher 1.1.0.14 dotnet (+5 duplicates)
acl-libs 2.3.2-r1 apk acl-libs 2.3.2-r1 apk
aligned 0.4.2 rust-crate alpine-baselayout 3.6.8-r1 apk
aligned-vec 0.6.4 rust-crate alpine-baselayout-data 3.6.8-r1 apk
alpine-baselayout 3.7.1-r8 apk alpine-keys 2.5-r0 apk
alpine-baselayout-data 3.7.1-r8 apk alpine-release 3.21.3-r0 apk
alpine-keys 2.6-r0 apk alsa-lib 1.2.12-r0 apk
alpine-release 3.23.3-r0 apk anyio 4.9.0 python
alsa-lib 1.2.14-r2 apk aom-libs 3.11.0-r0 apk
anstream 0.6.19 rust-crate apk-tools 2.14.6-r3 apk
anstyle 1.0.11 rust-crate audioread 3.0.1 python
anstyle-parse 0.2.7 rust-crate bash 5.2.37-r0 apk
anstyle-query 1.1.3 rust-crate beautifulsoup4 4.13.3 python
anyhow 1.0.98 rust-crate (+1 duplicate) beetcamp 0.21.0 python
anyio 4.12.1 python beets 2.2.0 python
aom-libs 3.13.1-r1 apk
apk-tools 3.0.4-r0 apk
arg_enum_proc_macro 0.3.4 rust-crate
arrayvec 0.7.6 rust-crate
as-slice 0.2.1 rust-crate
audioread 3.1.0 python
autocommand 2.2.2 python
av-metrics 0.9.1 rust-crate
av-scenechange 0.14.1 rust-crate
av1-grain 0.2.4 rust-crate
backports-tarfile 1.2.0 python
bash 5.3.3-r1 apk
beautifulsoup4 4.14.3 python
beetcamp 0.23.0 python
beets 2.6.1 python
beets-extrafiles 0.0.7 python beets-extrafiles 0.0.7 python
bitflags 2.9.1 rust-crate
bitstream-io 2.6.0 rust-crate
bitstream-io 4.2.0 rust-crate
bitvec 1.0.1 rust-crate
bitvec_helpers 3.1.6 rust-crate
blinker 1.9.0 python blinker 1.9.0 python
brotli-libs 1.2.0-r0 apk brotli-libs 1.1.0-r2 apk
busybox 1.37.0-r30 apk busybox 1.37.0-r12 apk
busybox-binsh 1.37.0-r30 apk busybox-binsh 1.37.0-r12 apk
c-ares 1.34.6-r0 apk c-ares 1.34.3-r0 apk
ca-certificates 20251003-r0 apk ca-certificates 20241121-r1 apk
ca-certificates-bundle 20251003-r0 apk ca-certificates-bundle 20241121-r1 apk
cairo 1.18.4-r0 apk cairo 1.18.2-r1 apk
cairo-gobject 1.18.4-r0 apk cairo-gobject 1.18.2-r1 apk
catatonit 0.2.1-r0 apk catatonit 0.2.0-r0 apk
cdparanoia-libs 10.2-r14 apk cdparanoia-libs 10.2-r14 apk
certifi 2026.1.4 python certifi 2025.1.31 python
cfg-if 1.0.1 rust-crate charset-normalizer 3.4.1 python
charset-normalizer 3.4.4 python chromaprint 1.5.1-r7 apk
chromaprint 1.6.0-r0 apk chromaprint-libs 1.5.1-r7 apk
chromaprint-libs 1.6.0-r0 apk cjson 1.7.18-r0 apk
cjson 1.7.19-r1 apk click 8.1.8 python
clap 4.5.40 rust-crate confuse 2.0.1 python
clap_builder 4.5.40 rust-crate coreutils 9.5-r2 apk
clap_complete 4.5.54 rust-crate coreutils-env 9.5-r2 apk
clap_lex 0.7.5 rust-crate coreutils-fmt 9.5-r2 apk
cli UNKNOWN binary coreutils-sha512sum 9.5-r2 apk
cli-32 UNKNOWN binary curl 8.12.1-r0 apk
cli-64 UNKNOWN binary dbus-libs 1.14.10-r4 apk
cli-arm64 UNKNOWN binary duktape 2.7.0-r1 apk
click 8.3.1 python eudev-libs 3.2.14-r5 apk
colorchoice 1.0.4 rust-crate expat 2.7.0-r0 apk
confuse 2.2.0 python ffmpeg 6.1.2-r1 apk
console 0.15.11 rust-crate ffmpeg-libavcodec 6.1.2-r1 apk
core2 0.4.0 rust-crate ffmpeg-libavdevice 6.1.2-r1 apk
coreutils 9.8-r1 apk ffmpeg-libavfilter 6.1.2-r1 apk
coreutils-env 9.8-r1 apk ffmpeg-libavformat 6.1.2-r1 apk
coreutils-fmt 9.8-r1 apk ffmpeg-libavutil 6.1.2-r1 apk
coreutils-sha512sum 9.8-r1 apk ffmpeg-libpostproc 6.1.2-r1 apk
crc 3.3.0 rust-crate ffmpeg-libswresample 6.1.2-r1 apk
crc-catalog 2.4.0 rust-crate ffmpeg-libswscale 6.1.2-r1 apk
crossbeam 0.8.4 rust-crate fftw 3.3.10-r6 apk
crossbeam-channel 0.5.15 rust-crate fftw-double-libs 3.3.10-r6 apk
crossbeam-deque 0.8.6 rust-crate fftw-long-double-libs 3.3.10-r6 apk
crossbeam-epoch 0.9.18 rust-crate fftw-single-libs 3.3.10-r6 apk
crossbeam-queue 0.3.12 rust-crate
crossbeam-utils 0.8.21 rust-crate
curl 8.17.0-r1 apk
dbus-libs 1.16.2-r1 apk
dolby_vision 3.3.2 rust-crate
duktape-libs 2.7.0-r2 apk
either 1.15.0 rust-crate
equator 0.4.2 rust-crate
errno 0.3.12 rust-crate
eudev-libs 3.2.14-r6 apk
expat 2.7.4-r0 apk
fern 0.7.1 rust-crate
ffmpeg 8.0.1-r1 apk
ffmpeg-libavcodec 8.0.1-r1 apk
ffmpeg-libavdevice 8.0.1-r1 apk
ffmpeg-libavfilter 8.0.1-r1 apk
ffmpeg-libavformat 8.0.1-r1 apk
ffmpeg-libavutil 8.0.1-r1 apk
ffmpeg-libswresample 8.0.1-r1 apk
ffmpeg-libswscale 8.0.1-r1 apk
fftw 3.3.10-r7 apk
fftw-double-libs 3.3.10-r7 apk
fftw-long-double-libs 3.3.10-r7 apk
fftw-single-libs 3.3.10-r7 apk
filetype 1.2.0 python filetype 1.2.0 python
findutils 4.10.0-r0 apk findutils 4.10.0-r0 apk
flac 1.4.3-r2 apk flac 1.4.3-r1 apk
flask 3.1.2 python flask 3.1.0 python
flask-cors 6.0.2 python fontconfig 2.15.0-r1 apk
fontconfig 2.17.1-r0 apk freetype 2.13.3-r0 apk
freetype 2.14.1-r0 apk fribidi 1.0.16-r0 apk
fribidi 1.0.16-r2 apk gdbm 1.24-r0 apk
funty 2.0.0 rust-crate gdk-pixbuf 2.42.12-r1 apk
gdbm 1.26-r0 apk giflib 5.2.2-r0 apk
gdk-pixbuf 2.44.4-r0 apk glib 2.82.5-r0 apk
getrandom 0.3.3 rust-crate glib-networking 2.80.1-r0 apk
glib 2.86.3-r0 apk glslang-libs 1.3.296.0-r0 apk
glib-networking 2.80.1-r2 apk gmp 6.3.0-r2 apk
glslang-libs 1.4.321.0-r0 apk gnutls 3.8.8-r0 apk
gmp 6.3.0-r4 apk gobject-introspection 1.82.0-r2 apk
gnutls 3.8.11-r0 apk
gobject-introspection 1.86.0-r0 apk
graphene 1.10.8-r5 apk graphene 1.10.8-r5 apk
graphite2 1.3.14-r6 apk graphite2 1.3.14-r6 apk
gsettings-desktop-schemas 49.1-r0 apk gsettings-desktop-schemas 47.1-r0 apk
gst-plugins-base 1.26.9-r0 apk gst-plugins-base 1.24.11-r0 apk
gst-plugins-good 1.26.9-r0 apk gst-plugins-good 1.24.11-r0 apk
gstreamer 1.26.9-r0 apk gstreamer 1.24.11-r0 apk
gstreamer-ptp-helper 1.26.9-r0 apk gstreamer-ptp-helper 1.24.11-r0 apk
gui UNKNOWN binary h11 0.14.0 python
gui-32 UNKNOWN binary harfbuzz 9.0.0-r1 apk
gui-64 UNKNOWN binary httpcore 1.0.7 python
gui-arm64 UNKNOWN binary
h11 0.16.0 python
harfbuzz 12.2.0-r0 apk
httpcore 1.0.9 python
httpx 0.28.1 python httpx 0.28.1 python
hwdata-pci 0.401-r0 apk hwdata-pci 0.393-r0 apk
idna 3.11 python idna 3.10 python
imagemagick 7.1.2.13-r0 apk imagemagick 7.1.1.41-r0 apk
imagemagick-jp2 7.1.2.13-r0 apk imagemagick-jpeg 7.1.1.41-r0 apk
imagemagick-jpeg 7.1.2.13-r0 apk imagemagick-jxl 7.1.1.41-r0 apk
imagemagick-jxl 7.1.2.13-r0 apk imagemagick-libs 7.1.1.41-r0 apk
imagemagick-libs 7.1.2.13-r0 apk imagemagick-pango 7.1.1.41-r0 apk
imagemagick-pango 7.1.2.13-r0 apk imagemagick-tiff 7.1.1.41-r0 apk
imagemagick-tiff 7.1.2.13-r0 apk imagemagick-webp 7.1.1.41-r0 apk
imagemagick-webp 7.1.2.13-r0 apk imath 3.1.12-r0 apk
importlib-metadata 8.7.1 python
interpolate_name 0.2.4 rust-crate
is_terminal_polyfill 1.70.1 rust-crate
itertools 0.10.5 rust-crate
itertools 0.14.0 rust-crate
itsdangerous 2.2.0 python itsdangerous 2.2.0 python
ivf 0.1.4 rust-crate jellyfish 1.1.3 python
jaraco-context 6.1.0 python
jaraco-functools 4.4.0 python
jaraco-text 4.0.0 python
jellyfish 1.2.1 python
jinja2 3.1.6 python jinja2 3.1.6 python
jpeg 9f-r0 apk jpeg 9f-r0 apk
jq 1.8.1-r0 apk jq 1.7.1-r0 apk
json-c 0.18-r1 apk
lab 0.11.0 rust-crate
lame 3.100-r5 apk lame 3.100-r5 apk
lame-libs 3.100-r5 apk lame-libs 3.100-r5 apk
langdetect 1.0.9 python langdetect 1.0.9 python
lap 0.5.12 python lcms2 2.16-r0 apk
lcms2 2.17-r0 apk libSvtAv1Enc 2.2.1-r0 apk
libSvtAv1Enc 3.1.2-r0 apk libass 0.17.3-r0 apk
libapk 3.0.4-r0 apk
libass 0.17.4-r0 apk
libasyncns 0.8-r4 apk libasyncns 0.8-r4 apk
libattr 2.5.2-r2 apk libattr 2.5.2-r2 apk
libavc1394 0.5.4-r3 apk libavc1394 0.5.4-r3 apk
libblkid 2.41.2-r0 apk libblkid 2.40.4-r0 apk
libbluray 1.4.0-r0 apk libbluray 1.3.4-r1 apk
libbsd 0.12.2-r0 apk libbsd 0.12.2-r0 apk
libbz2 1.0.8-r6 apk libbz2 1.0.8-r6 apk
libc 0.2.172 rust-crate (+1 duplicate) libcap2 2.71-r0 apk
libcap2 2.77-r0 apk libcrypto3 3.3.3-r0 apk
libcrypto3 3.5.5-r0 apk libcurl 8.12.1-r0 apk
libcurl 8.17.0-r1 apk libdav1d 1.5.0-r0 apk
libdav1d 1.5.2-r0 apk libdeflate 1.22-r0 apk
libdovi 3.3.2-r0 apk libdovi 3.3.1-r0 apk
libdrm 2.4.131-r0 apk libdrm 2.4.123-r1 apk
libdv 1.0.0-r8 apk libdv 1.0.0-r8 apk
libeconf 0.8.3-r0 apk libeconf 0.6.3-r0 apk
libelf 0.194-r0 apk libelf 0.191-r0 apk
libexpat 2.7.4-r0 apk libexpat 2.7.0-r0 apk
libffi 3.5.2-r0 apk libffi 3.4.7-r0 apk
libflac 1.4.3-r2 apk libflac 1.4.3-r1 apk
libgcc 15.2.0-r2 apk libgcc 14.2.0-r4 apk
libgomp 15.2.0-r2 apk libgomp 14.2.0-r4 apk
libgudev 238-r1 apk libgudev 238-r0 apk
libhwy 1.3.0-r0 apk libhwy 1.0.7-r0 apk
libidn2 2.3.8-r0 apk libidn2 2.3.7-r0 apk
libiec61883 1.2.0-r4 apk libiec61883 1.2.0-r4 apk
libintl 0.24.1-r1 apk libintl 0.22.5-r0 apk
libjpeg-turbo 3.1.2-r0 apk libjpeg-turbo 3.0.4-r0 apk
libjpeg-turbo-utils 3.1.2-r0 apk libjpeg-turbo-utils 3.0.4-r0 apk
libjxl 0.11.1-r3 apk libjxl 0.10.4-r0 apk
libltdl 2.5.4-r2 apk libltdl 2.4.7-r3 apk
libmd 1.1.0-r0 apk libmd 1.1.0-r0 apk
libmount 2.41.2-r0 apk libmount 2.40.4-r0 apk
libncursesw 6.5_p20251123-r0 apk libncursesw 6.5_p20241006-r3 apk
libogg 1.3.6-r0 apk libogg 1.3.5-r5 apk
libopenmpt 0.8.3-r0 apk libopenmpt 0.7.12-r0 apk
libpanelw 6.5_p20251123-r0 apk libpanelw 6.5_p20241006-r3 apk
libpciaccess 0.18.1-r1 apk libpciaccess 0.18.1-r0 apk
libplacebo 7.351.0-r0 apk libplacebo 6.338.2-r3 apk
libpng 1.6.54-r0 apk libpng 1.6.47-r0 apk
libproc2 4.0.5-r0 apk libproc2 4.0.4-r2 apk
libproxy 0.5.12-r0 apk libproxy 0.5.9-r0 apk
libpsl 0.21.5-r3 apk libpsl 0.21.5-r3 apk
libpulse 17.0-r5 apk libpulse 17.0-r4 apk
libraqm 0.10.2-r0 apk
libraw1394 2.1.2-r5 apk libraw1394 2.1.2-r5 apk
librist 0.2.10-r1 apk librist 0.2.10-r1 apk
libsharpyuv 1.6.0-r0 apk libsharpyuv 1.4.0-r0 apk
libshout 2.4.6-r4 apk libshout 2.4.6-r3 apk
libsndfile 1.2.2-r2 apk libsndfile 1.2.2-r2 apk
libsodium 1.0.20-r1 apk libsodium 1.0.20-r0 apk
libsoup3 3.6.5-r1 apk libsoup3 3.6.1-r0 apk
libsrt 1.5.3-r1 apk libsrt 1.5.3-r0 apk
libssh 0.11.3-r0 apk libssh 0.11.1-r0 apk
libssl3 3.5.5-r0 apk libssl3 3.3.3-r0 apk
libstdc++ 15.2.0-r2 apk libstdc++ 14.2.0-r4 apk
libtag 2.1.1-r0 apk libtag 1.13.1-r0 apk
libtasn1 4.21.0-r0 apk libtasn1 4.20.0-r0 apk
libtheora 1.2.0-r0 apk libtheora 1.1.1-r18 apk
libturbojpeg 3.1.2-r0 apk libturbojpeg 3.0.4-r0 apk
libudfread 1.2.0-r0 apk
libunibreak 6.1-r0 apk libunibreak 6.1-r0 apk
libunistring 1.4.1-r0 apk libunistring 1.2-r0 apk
libva 2.22.0-r1 apk libva 2.22.0-r1 apk
libvdpau 1.5-r4 apk libvdpau 1.5-r4 apk
libvorbis 1.3.7-r2 apk libvorbis 1.3.7-r2 apk
libvpl 2.15.0-r1 apk libvpx 1.15.0-r0 apk
libvpx 1.15.2-r1 apk libwebp 1.4.0-r0 apk
libwebp 1.6.0-r0 apk libwebpdemux 1.4.0-r0 apk
libwebpdemux 1.6.0-r0 apk libwebpmux 1.4.0-r0 apk
libwebpmux 1.6.0-r0 apk libx11 1.8.10-r0 apk
libx11 1.8.12-r1 apk libxau 1.0.11-r4 apk
libxau 1.0.12-r0 apk libxcb 1.16.1-r0 apk
libxcb 1.17.0-r1 apk
libxdamage 1.1.6-r5 apk libxdamage 1.1.6-r5 apk
libxdmcp 1.1.5-r1 apk libxdmcp 1.1.5-r1 apk
libxext 1.3.6-r2 apk libxext 1.3.6-r2 apk
libxfixes 6.0.2-r0 apk libxfixes 6.0.1-r4 apk
libxft 2.3.9-r0 apk libxft 2.3.8-r3 apk
libxi 1.8.2-r0 apk libxi 1.8.2-r0 apk
libxml2 2.13.9-r0 apk libxml2 2.13.4-r5 apk
libxrender 0.9.12-r0 apk libxrender 0.9.11-r5 apk
libxshmfence 1.3.3-r0 apk libxshmfence 1.3.2-r6 apk
libxtst 1.2.5-r0 apk libxtst 1.2.5-r0 apk
libxv 1.0.13-r0 apk libxv 1.0.12-r5 apk
libxxf86vm 1.1.7-r0 apk libxxf86vm 1.1.5-r6 apk
libzmq 4.3.5-r2 apk libzmq 4.3.5-r2 apk
lilv-libs 0.24.26-r0 apk lilv-libs 0.24.24-r1 apk
linux-pam 1.7.1-r2 apk linux-pam 1.6.1-r1 apk
linux-raw-sys 0.9.4 rust-crate llvm19-libs 19.1.4-r0 apk
llvm21-libs 21.1.2-r1 apk markupsafe 3.0.2 python
log 0.4.27 rust-crate mbedtls 3.6.2-r0 apk
markupsafe 3.0.3 python mediafile 0.13.0 python
maybe-rayon 0.1.1 rust-crate mesa 24.2.8-r0 apk
mbedtls 3.6.5-r0 apk mesa-egl 24.2.8-r0 apk
mediafile 0.14.0 python mesa-gbm 24.2.8-r0 apk
memchr 2.7.5 rust-crate mesa-gl 24.2.8-r0 apk
mesa 25.2.7-r1 apk mesa-glapi 24.2.8-r0 apk
mesa-egl 25.2.7-r1 apk mpdecimal 4.0.0-r0 apk
mesa-gbm 25.2.7-r1 apk mpg123 1.32.9-r0 apk
mesa-gl 25.2.7-r1 apk mpg123-libs 1.32.9-r0 apk
mesa-gles 25.2.7-r1 apk munkres 1.1.4 python
minimal-lexical 0.2.1 rust-crate musicbrainzngs 0.7.1 python
more-itertools 10.8.0 python musl 1.2.5-r9 apk
mp3gain 1.6.2-r3 apk musl-utils 1.2.5-r9 apk
mpdecimal 4.0.1-r0 apk
mpg123 1.33.3-r0 apk
mpg123-libs 1.33.3-r0 apk
musl 1.2.5-r21 apk
musl-utils 1.2.5-r21 apk
mutagen 1.47.0 python mutagen 1.47.0 python
nano 8.7-r0 apk nano 8.2-r0 apk
ncurses-terminfo-base 6.5_p20251123-r0 apk ncurses-terminfo-base 6.5_p20241006-r3 apk
netcat-openbsd 1.234.1-r0 apk netcat-openbsd 1.226.1.1-r0 apk
nettle 3.10.2-r0 apk nettle 3.10-r1 apk
new_debug_unreachable 1.0.6 rust-crate nghttp2-libs 1.64.0-r0 apk
nghttp2-libs 1.68.0-r0 apk
nghttp3 1.13.1-r0 apk
nom 7.1.3 rust-crate
nom 8.0.0 rust-crate
noop_proc_macro 0.3.0 rust-crate
num-bigint 0.4.6 rust-crate
num-derive 0.4.2 rust-crate
num-integer 0.1.46 rust-crate
num-rational 0.4.2 rust-crate
num-traits 0.2.19 rust-crate
numactl 2.0.18-r0 apk numactl 2.0.18-r0 apk
numpy 2.4.2 python oauthlib 3.2.2 python
oauthlib 3.3.1 python onevpl-libs 2023.3.1-r2 apk
once_cell 1.21.3 rust-crate oniguruma 6.9.9-r0 apk
oniguruma 6.9.10-r0 apk
opencore-amr 0.1.6-r1 apk opencore-amr 0.1.6-r1 apk
openjpeg 2.5.4-r1 apk openexr-libiex 3.3.2-r0 apk
openexr-libilmthread 3.3.2-r0 apk
openexr-libopenexr 3.3.2-r0 apk
openexr-libopenexrcore 3.3.2-r0 apk
openjpeg 2.5.2-r0 apk
opus 1.5.2-r1 apk opus 1.5.2-r1 apk
orc 0.4.41-r0 apk orc 0.4.40-r1 apk
p11-kit 0.25.5-r2 apk p11-kit 0.25.5-r2 apk
packaging 26.0 python (+1 duplicate) packaging 24.2 python
pango 1.56.4-r0 apk pango 1.54.0-r1 apk
paste 1.0.15 rust-crate pcre2 10.43-r0 apk
pastey 0.1.0 rust-crate pillow 11.1.0 python
pcre2 10.47-r0 apk pip 25.0.1 python
pillow 12.1.1 python pixman 0.43.4-r1 apk
pip 26.0.1 python pkgconf 2.3.0-r0 apk
pixman 0.46.4-r0 apk platformdirs 4.3.7 python
pkgconf 2.5.1-r0 apk procps-ng 4.0.4-r2 apk
platformdirs 4.4.0 python
platformdirs 4.7.1 python
ppv-lite86 0.2.21 rust-crate
proc-macro2 1.0.95 rust-crate
procps-ng 4.0.5-r0 apk
profiling 1.0.16 rust-crate
pyacoustid 1.3.0 python pyacoustid 1.3.0 python
pyc 3.12.12-r0 apk pyc 3.12.9-r0 apk
pycairo 1.29.0 python pycairo 1.27.0 python
pycountry 24.6.1 python pycountry 24.6.1 python
pygobject 3.54.5 python pygobject 3.52.3 python
pylast 7.0.2 python pylast 5.5.0 python
pyrate-limiter 4.0.2 python
python-dateutil 2.9.0.post0 python python-dateutil 2.9.0.post0 python
python3 3.12.12-r0 apk python3 3.12.9-r0 apk
python3-discogs-client 2.8 python python3-discogs-client 2.8 python
python3-pyc 3.12.12-r0 apk python3-pyc 3.12.9-r0 apk
python3-pycache-pyc0 3.12.12-r0 apk python3-pycache-pyc0 3.12.9-r0 apk
pyyaml 6.0.3 python pyyaml 6.0.2 python
quote 1.0.40 rust-crate rav1e-libs 0.7.1-r0 apk
radium 0.7.0 rust-crate readline 8.2.13-r0 apk
rand 0.9.1 rust-crate requests 2.32.3 python
rand_chacha 0.9.0 rust-crate
rand_core 0.9.3 rust-crate
rav1e 0.8.1 rust-crate
rav1e-libs 0.8.1-r0 apk
rayon 1.10.0 rust-crate
rayon-core 1.12.1 rust-crate
readline 8.3.1-r0 apk
requests 2.32.5 python
requests-oauthlib 2.0.0 python requests-oauthlib 2.0.0 python
requests-ratelimiter 0.9.1 python scanelf 1.3.8-r1 apk
rustix 1.0.7 rust-crate sdl2 2.30.9-r0 apk
scan_fmt 0.2.6 rust-crate serd-libs 0.32.2-r0 apk
scanelf 1.3.8-r2 apk shaderc 2024.0-r2 apk
serd-libs 0.32.4-r0 apk shadow 4.16.0-r1 apk
setuptools 82.0.0 python shared-mime-info 2.4-r2 apk
shaderc 2025.3-r0 apk
shadow 4.18.0-r0 apk
shared-mime-info 2.4-r6 apk
signal-hook 0.3.18 rust-crate
signal-hook-registry 1.4.5 rust-crate
simd_helpers 0.1.0 rust-crate
six 1.17.0 python six 1.17.0 python
skalibs-libs 2.14.4.0-r0 apk skalibs-libs 2.14.3.0-r0 apk
sord-libs 0.16.18-r0 apk sniffio 1.3.1 python
soupsieve 2.8.3 python sord-libs 0.16.16-r0 apk
soupsieve 2.6 python
soxr 0.1.3-r7 apk soxr 0.1.3-r7 apk
speex 1.2.1-r2 apk speex 1.2.1-r2 apk
speexdsp 1.2.1-r2 apk speexdsp 1.2.1-r2 apk
spirv-tools 1.4.321.0-r1 apk spirv-tools 1.3.296.0-r0 apk
sqlite-libs 3.51.2-r0 apk sqlite-libs 3.48.0-r0 apk
sratom 0.6.18-r0 apk sratom 0.6.16-r0 apk
ssl_client 1.37.0-r30 apk ssl_client 1.37.0-r12 apk
stable_deref_trait 1.2.0 rust-crate tdb-libs 1.4.12-r0 apk
syn 2.0.102 rust-crate tiff 4.7.0-r0 apk
tap 1.0.1 rust-crate typing-extensions 4.12.2 python
tdb-libs 1.4.14-r0 apk tzdata 2025a-r0 apk
terminal_size 0.4.2 rust-crate unidecode 1.3.8 python
thiserror 1.0.69 rust-crate urllib3 2.3.0 python
thiserror 2.0.12 rust-crate utmps-libs 0.1.2.3-r2 apk
tiff 4.7.1-r0 apk v4l-utils-libs 1.28.1-r1 apk
tinyvec 1.9.0 rust-crate
tomli 2.4.0 python
typing-extensions 4.15.0 python
tzdata 2025c-r0 apk
unicode-ident 1.0.18 rust-crate
unicode-width 0.2.1 rust-crate
unidecode 1.4.0 python
urllib3 2.6.3 python
utf8parse 0.2.2 rust-crate
utmps-libs 0.1.3.1-r0 apk
v4l-utils-libs 1.32.0-r0 apk
v_frame 0.3.9 rust-crate
vidstab 1.1.1-r0 apk vidstab 1.1.1-r0 apk
vulkan-loader 1.4.321.0-r0 apk vulkan-loader 1.3.296.0-r0 apk
wavpack-libs 5.8.1-r0 apk wavpack-libs 5.7.0-r0 apk
wayland-libs-client 1.24.0-r0 apk wayland-libs-client 1.23.1-r0 apk
wayland-libs-cursor 1.24.0-r0 apk wayland-libs-cursor 1.23.1-r0 apk
wayland-libs-egl 1.24.0-r0 apk wayland-libs-egl 1.23.1-r0 apk
werkzeug 3.1.5 python wayland-libs-server 1.23.1-r0 apk
wheel 0.46.3 python werkzeug 3.1.3 python
wyz 0.5.1 rust-crate wheel 0.45.1 python
x264-libs 0.164.3108-r1 apk x264-libs 0.164.3108-r0 apk
x265-libs 4.1-r0 apk x265-libs 3.6-r0 apk
xvidcore 1.3.7-r2 apk xvidcore 1.3.7-r2 apk
xz-libs 5.8.2-r0 apk xz-libs 5.6.3-r0 apk
y4m 0.8.0 rust-crate zimg 3.0.5-r2 apk
zerocopy 0.8.25 rust-crate zix-libs 0.4.2-r0 apk
zimg 3.0.6-r0 apk
zipp 3.23.0 python
zix-libs 0.6.2-r0 apk
zlib 1.3.1-r2 apk zlib 1.3.1-r2 apk
zstd-libs 1.5.7-r2 apk zstd-libs 1.5.6-r2 apk

View File

@ -62,14 +62,12 @@ init_diagram: |
init-crontab-config -> init-config-end init-crontab-config -> init-config-end
init-config -> init-crontab-config init-config -> init-crontab-config
init-mods-end -> init-custom-files init-mods-end -> init-custom-files
init-adduser -> init-device-perms
base -> init-envfile base -> init-envfile
base -> init-migrations base -> init-migrations
init-config-end -> init-mods init-config-end -> init-mods
init-mods-package-install -> init-mods-end init-mods-package-install -> init-mods-end
init-mods -> init-mods-package-install init-mods -> init-mods-package-install
init-adduser -> init-os-end init-adduser -> init-os-end
init-device-perms -> init-os-end
init-envfile -> init-os-end init-envfile -> init-os-end
init-custom-files -> init-services init-custom-files -> init-services
init-services -> svc-beets init-services -> svc-beets
@ -78,12 +76,11 @@ init_diagram: |
svc-cron -> legacy-services svc-cron -> legacy-services
} }
Base Images: { Base Images: {
"baseimage-alpine:3.23" "baseimage-alpine:3.21"
} }
"beets:latest" <- Base Images "beets:latest" <- Base Images
# changelog # changelog
changelogs: changelogs:
- {date: "01.02.26:", desc: "Rebase to Alpine 3.23."}
- {date: "27.01.25:", desc: "Rebase to Alpine 3.21."} - {date: "27.01.25:", desc: "Rebase to Alpine 3.21."}
- {date: "01.10.24:", desc: "Add packages required for Discogs plugin."} - {date: "01.10.24:", desc: "Add packages required for Discogs plugin."}
- {date: "28.08.24:", desc: "Rebase to Alpine 3.20, switch from Pillow to Imagemagick."} - {date: "28.08.24:", desc: "Rebase to Alpine 3.20, switch from Pillow to Imagemagick."}

View File

@ -41,7 +41,6 @@ fetchart:
replaygain: replaygain:
auto: no auto: no
command: mp3gain
scrub: scrub:
auto: yes auto: yes